KDE 4.7 PyKDE API Reference

- KDE's Python API

# KTreeWidgetSearchLineWidget Class Reference

`from PyKDE4.kdeui import *`

Inherits: QWidget → QObject

## Detailed Description

Creates a widget featuring a KTreeWidgetSearchLine, a label with the text "Search" and a button to clear the search.

## Methods
| __init__ (self, QWidget parent=0, QTreeWidget treeWidget=0)
KTreeWidgetSearchLine | createSearchLine (self, QTreeWidget treeWidget)
| createWidgets (self)
KTreeWidgetSearchLine | searchLine (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | QTreeWidget | treeWidget=0
| ) |  |  |

Creates a KTreeWidgetSearchLineWidget for treeWidget with parent as the parent.

KTreeWidgetSearchLine createSearchLine | ( | self, |
|  | QTreeWidget | treeWidget
| ) |  |  |

Creates the search line. This can be useful to reimplement in cases where a KTreeWidgetSearchLine subclass is used.

It is const because it is be called from searchLine(), which to the user doesn't conceptually alter the widget.

createWidgets | ( |  | self ) |

Creates the widgets inside of the widget. This is called from the constructor via a single shot timer so that it it guaranteed to run after construction is complete. This makes it suitable for overriding in subclasses.

KTreeWidgetSearchLine searchLine | ( |  | self ) |

Returns a pointer to the search line.